MIR

Differences between revisions 1 and 34 (spanning 33 versions)
Revision 1 as of 2010-02-02 02:11:34
Size: 2796
Editor: 82
Comment:
Revision 34 as of 2010-02-17 15:47:02
Size: 6655
Editor: lv-131-94-172-97
Comment:
Deletions are marked like this. Additions are marked like this.
Line 9: Line 9:
Please, read UbuntuMainInclusionRequirements and MainInclusionProcess. When filling MIR bugs, subscribe both ubuntu-mir and ubuntu-ha teams. Please, read UbuntuMainInclusionRequirements and MainInclusionProcess. When filling MIR bugs, subscribe both ubuntu-mir and ubuntu-ha teams. Rationale is 'The package helps meet a https://blueprints.edge.launchpad.net/ubuntu/+spec/server-lucid-cluster-stack blueprint goal'.
Line 13: Line 13:
|| Source package || Binaries needed in main || MIR bug ||
|| libnet || libnet1 libnet1-dev || ||
|| openhpi || libopenhpi2 libopenhpi-dev || ||
|| libesmtp || libesmtp5 libesmtp-dev || ||
|| libauthen-radius-perl || libauthen-radius-perl || ||
|| crypt-ssleay || libcrypt-ssleay-perl || ||
|| libmail-pop3client-perl || libmail-pop3client-perl || ||
|| libnet-imap-simple-ssl-perl || libnet-imap-simple-ssl-perl || ||
|| libnet-imap-simple-perl || libnet-imap-simple-perl || ||
|| libio-socket-ssl-perl || libio-socket-ssl-perl || ||
|| libnet-libidn-perl || libnet-libidn-perl || ||
|| libnet-ssleay-perl || libnet-ssleay-perl || ||
|| libtest-warn-perl || libtest-warn-perl || ||
|| libtree-dagnode-perl || libtree-dagnode-perl || ||
|| libtest-perl-critic-perl || libtest-perl-critic-perl || ||
|| libperl-critic-perl || libperl-critic-perl || ||
|| libemail-address-perl || libemail-address-perl || ||
|| libtest-deep-perl || libtest-deep-perl || ||
|| libperl-critic-perl || libperl-critic-perl || ||
|| libexception-class-perl || libexception-class-perl || ||
|| libdevel-stacktrace-perl || libdevel-stacktrace-perl || ||
|| libclass-data-inheritable-perl || libclass-data-inheritable-perl || ||
|| libfile-homedir-perl || libfile-homedir-perl || ||
|| libpod-spell-perl || libpod-spell-perl || ||
|| libfile-which-perl || libfile-which-perl || ||
|| libprobe-perl-perl || libprobe-perl-perl || ||
|| libreadonly-xs-perl || libreadonly-xs-perl || ||
|| libreadonly-perl || libreadonly-perl || ||
|| libstring-format-perl || libstring-format-perl || ||
|| perltidy || perltidy || ||
|| libppi-perl || libppi-perl || ||
|| libtest-classapi-perl || libtest-classapi-perl || ||
|| libclass-inspector-perl || libclass-inspector-perl || ||
|| libtest-nowarnings-perl || libtest-nowarnings-perl || ||
|| libtest-tester-perl || libtest-tester-perl || ||
|| libtest-subcalls-perl || libtest-subcalls-perl || ||
|| libhook-lexwrap-perl || libhook-lexwrap-perl || ||
|| libconfig-tiny-perl || libconfig-tiny-perl || ||
|| Source package || Binaries needed in main || MIR bug || Comment ||
|| libnet || libnet1 libnet1-dev || [[https://bugs.edge.launchpad.net/ubuntu/+source/libnet/+bug/515973|515973]] || ||
|| openhpi || libopenhpi2 libopenhpi-dev || [[https://bugs.edge.launchpad.net/ubuntu/+source/openhpi/+bug/515976|515976]]|| ||
|| libesmtp || libesmtp5 libesmtp-dev || [[https://bugs.edge.launchpad.net/ubuntu/+source/libesmtp/+bug/515996|515996]] ||||
|| libauthen-radius-perl || libauthen-radius-perl || || Dep for cluster-glue||
|| crypt-ssleay || libcrypt-ssleay-perl || || Dep for cluster-glue||
|| libmail-pop3client-perl || libmail-pop3client-perl || || Dep for cluster-glue||
|| libnet-imap-simple-ssl-perl || libnet-imap-simple-ssl-perl || || Dep for cluster-glue||
|| libnet-imap-simple-perl || libnet-imap-simple-perl || || Dep for cluster-glue||
|| libio-socket-ssl-perl || libio-socket-ssl-perl || || Build-dep for libnet-imap-simple-ssl-perl ||
|| libnet-libidn-perl || libnet-libidn-perl || ||Build-dep for libio-socket-ssl-perl ||
|| libnet-ssleay-perl || libnet-ssleay-perl || || Build-dep for libio-socket-ssl-perl ||
|| libtest-warn-perl || libtest-warn-perl || || Build-dep for libnet-ssleay-perl ||
|| libtree-dagnode-perl || libtree-dagnode-perl || || Build-dep for libnet-ssleay-perl and libtest-warn-perl ||
|| libtest-perl-critic-perl || libtest-perl-critic-perl || [[https://bugs.launchpad.net/ubuntu/+source/libtest-perl-critic-perl/+bug/523254|523254]] || Build-dep for libnet-imap-simple-perl ||
|| libperl-critic-perl || libperl-critic-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libperl-critic-perl/+bug/523242|523242]] || Build-dep for libtest-perl-critic-perl ||
|| libb-keywords-perl || libb-keywords-perl || [[https://bugs.launchpad.net/ubuntu/+source/libb-keywords-perl/+bug/523235|523235]] || Build-dep for libperl-critic-perl ||
|| libemail-address-perl || libemail-address-perl || [[https://bugs.launchpad.net/ubuntu/+source/libemail-address-perl/+bug/522457|522457]] || Build-dep for libperl-critic-perl ||
|| libtest-deep-perl || libtest-deep-perl || [[https://bugs.launchpad.net/ubuntu/+source/libtest-deep-perl/+bug/523243|523243]]|| Build-dep for libperl-critic-perl ||
|| libexception-class-perl || libexception-class-perl || [[https://bugs.launchpad.net/ubuntu/+source/libexception-class-perl/+bug/522450|522450]]|| Build-dep for libperl-critic-perl ||
|| libdevel-stacktrace-perl || libdevel-stacktrace-perl || [[https://bugs.launchpad.net/ubuntu/+source/libdevel-stacktrace-perl/+bug/522447|522447]] || Build-dep for libexception-class-perl ||
|| libclass-data-inheritable-perl || libclass-data-inheritable-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libclass-data-inheritable-perl/+bug/522446|522446]] || Build-dep for libexception-class-perl ||
|| libfile-homedir-perl || libfile-homedir-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libfile-homedir-perl/+bug/522444|522444]] || Build-dep for libperl-critic-perl ||
|| libpod-spell-perl || libpod-spell-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libpod-spell-perl/+bug/523234|523234]] || Build-dep for libperl-critic-perl ||
|| libfile-which-perl || libfile-which-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libfile-which-perl/+bug/522235|522235]] || Build-dep for libperl-critic-perl ||
|| libtest-script-perl || libtest-script-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libtest-script-perl/+bug/521373|521373]] || Not MIR; need newer version from Debian testing ||
|| libprobe-perl-perl || libprobe-perl-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libprobe-perl-perl/+bug/522232|522232]] || Build-dep for newer version of libtest-script-perl ||
|| libreadonly-xs-perl || libreadonly-xs-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libreadonly-xs-perl/+bug/522231|522231]] || Build-dep for libperl-critic-perl ||
|| libreadonly-perl || libreadonly-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libreadonly-perl/+bug/522224|522224]] || Build-dep for libperl-critic-perl ||
|| libstring-format-perl || libstring-format-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libstring-format-perl/+bug/522221|522221]] || Build-dep for libperl-critic-perl ||
|| perltidy || perltidy || [[https://bugs.edge.launchpad.net/ubuntu/+source/perltidy/+bug/522218|522218]] || Build-dep for libperl-critic-perl ||
|| libppi-perl || libppi-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libppi-perl/+bug/522213|522213]] || Build-dep for libperl-critic-perl ||
|| libtest-classapi-perl || libtest-classapi-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libtest-classapi-perl/+bug/522211|522211]] || Build-dep for libppi-perl ||
|| libclass-inspector-perl || libclass-inspector-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libclass-inspector-perl/+bug/522210|522210]] || Build-dep for libtest-classapi-perl ||
|| libtest-nowarnings-perl || libtest-nowarnings-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libtest-nowarnings-perl/+bug/522206|522206]] || Build-dep for libnet-ssleay-perl ||
|| libtest-tester-perl || libtest-tester-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libtest-tester-perl/+bug/522199|522199]] || Build-dep for libtest-nowarnings-perl ||
|| libtest-subcalls-perl || libtest-subcalls-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libtest-subcalls-perl/+bug/515989|515989]] ||
|| libhook-lexwrap-perl || libhook-lexwrap-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libhook-lexwrap-perl/+bug/515985|515985]] ||
|| libconfig-tiny-perl || libconfig-tiny-perl || [[https://bugs.edge.launchpad.net/ubuntu/+source/libconfig-tiny-perl/+bug/515982|515982]] ||

Corosync/Pacemaker in main

Scope

One of requirements for having corosync/pacemaker in main is to have all its dependencies in main. Two of those dependencies, cluster-glue and cluster-agents, depend on couple of perl modules which again depend on other perl modules. All of those perl modules listed here are in universe. There are also couple of sources which aren't related to perl. We need to fill out MIRs for each of those packages.

When and only when all of this packages are accepted in main, we will have clear path to push corosync/pacemaker in to main.

Please, read UbuntuMainInclusionRequirements and MainInclusionProcess. When filling MIR bugs, subscribe both ubuntu-mir and ubuntu-ha teams. Rationale is 'The package helps meet a https://blueprints.edge.launchpad.net/ubuntu/+spec/server-lucid-cluster-stack blueprint goal'.

List

Source package

Binaries needed in main

MIR bug

Comment

libnet

libnet1 libnet1-dev

515973

openhpi

libopenhpi2 libopenhpi-dev

515976

libesmtp

libesmtp5 libesmtp-dev

515996

libauthen-radius-perl

libauthen-radius-perl

Dep for cluster-glue

crypt-ssleay

libcrypt-ssleay-perl

Dep for cluster-glue

libmail-pop3client-perl

libmail-pop3client-perl

Dep for cluster-glue

libnet-imap-simple-ssl-perl

libnet-imap-simple-ssl-perl

Dep for cluster-glue

libnet-imap-simple-perl

libnet-imap-simple-perl

Dep for cluster-glue

libio-socket-ssl-perl

libio-socket-ssl-perl

Build-dep for libnet-imap-simple-ssl-perl

libnet-libidn-perl

libnet-libidn-perl

Build-dep for libio-socket-ssl-perl

libnet-ssleay-perl

libnet-ssleay-perl

Build-dep for libio-socket-ssl-perl

libtest-warn-perl

libtest-warn-perl

Build-dep for libnet-ssleay-perl

libtree-dagnode-perl

libtree-dagnode-perl

Build-dep for libnet-ssleay-perl and libtest-warn-perl

libtest-perl-critic-perl

libtest-perl-critic-perl

523254

Build-dep for libnet-imap-simple-perl

libperl-critic-perl

libperl-critic-perl

523242

Build-dep for libtest-perl-critic-perl

libb-keywords-perl

libb-keywords-perl

523235

Build-dep for libperl-critic-perl

libemail-address-perl

libemail-address-perl

522457

Build-dep for libperl-critic-perl

libtest-deep-perl

libtest-deep-perl

523243

Build-dep for libperl-critic-perl

libexception-class-perl

libexception-class-perl

522450

Build-dep for libperl-critic-perl

libdevel-stacktrace-perl

libdevel-stacktrace-perl

522447

Build-dep for libexception-class-perl

libclass-data-inheritable-perl

libclass-data-inheritable-perl

522446

Build-dep for libexception-class-perl

libfile-homedir-perl

libfile-homedir-perl

522444

Build-dep for libperl-critic-perl

libpod-spell-perl

libpod-spell-perl

523234

Build-dep for libperl-critic-perl

libfile-which-perl

libfile-which-perl

522235

Build-dep for libperl-critic-perl

libtest-script-perl

libtest-script-perl

521373

Not MIR; need newer version from Debian testing

libprobe-perl-perl

libprobe-perl-perl

522232

Build-dep for newer version of libtest-script-perl

libreadonly-xs-perl

libreadonly-xs-perl

522231

Build-dep for libperl-critic-perl

libreadonly-perl

libreadonly-perl

522224

Build-dep for libperl-critic-perl

libstring-format-perl

libstring-format-perl

522221

Build-dep for libperl-critic-perl

perltidy

perltidy

522218

Build-dep for libperl-critic-perl

libppi-perl

libppi-perl

522213

Build-dep for libperl-critic-perl

libtest-classapi-perl

libtest-classapi-perl

522211

Build-dep for libppi-perl

libclass-inspector-perl

libclass-inspector-perl

522210

Build-dep for libtest-classapi-perl

libtest-nowarnings-perl

libtest-nowarnings-perl

522206

Build-dep for libnet-ssleay-perl

libtest-tester-perl

libtest-tester-perl

522199

Build-dep for libtest-nowarnings-perl

libtest-subcalls-perl

libtest-subcalls-perl

515989

libhook-lexwrap-perl

libhook-lexwrap-perl

515985

libconfig-tiny-perl

libconfig-tiny-perl

515982

ClusterStack/MIR (last edited 2010-02-24 17:33:32 by backup)